Subject: bug#22888: closed (Re: bug#22888: make fails - fallout from weechat move?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Mar 2016 16:46:02 +0000

Your bug report

#22888: make fails - fallout from weechat move?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22888: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22888
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22888: make fails - fallout from weechat move?
From: [email-masked] (Ludovic Courtès)
To: Chris Marusich <[email-masked]>
Cc: [email-masked]
Date: Thu, 03 Mar 2016 17:45:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Good catch!  Fixed in 8a56a3d7a3be5c44c4e3e174a0073298b5b88c5b.

Ludo’.

Subject: make fails - fallout from weechat move?
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Wed, 02 Mar 2016 18:21:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Starting with the following commit, invoking "make" from a clean
checkout fails:

e288f00 gnu: weechat: Move to irc.scm.

The problem occurs on this commit, and also on the master branch. I
searched for this issue in the existing bugs and the guix-devel email
list but found nothing, so I assume nobody has noticed it yet.  Here's
an example of the failure:

--8<---------------cut here---------------start------------->8---
$ ./bootstrap && ./configure --localstatedir=/var
[ lots of output, and it succeeds ]
$ make
[ lots of output ]
Making all in po/packages
make[2]: Entering directory '/home/marusich/guix/po/packages'
make guix-packages.pot-update
make[3]: Entering directory '/home/marusich/guix/po/packages'
make[3]: *** No rule to make target '../../gnu/packages/weechat.scm', needed by 'guix-packages.pot-update'.  Stop.
make[3]: Leaving directory '/home/marusich/guix/po/packages'
Makefile:266: recipe for target 'guix-packages.pot' failed
make[2]: *** [guix-packages.pot] Error 2
make[2]: Leaving directory '/home/marusich/guix/po/packages'
Makefile:3878: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/marusich/guix'
Makefile:2489: recipe for target 'all' failed
make: *** [all] Error 2
--8<---------------cut here---------------end--------------->8---

It looks like this commit moved some packages around but did not update
all the necessary references. Here is what it modified:

--8<---------------cut here---------------start------------->8---
$ git show --name-status
commit e288f0075cde7c645e1f914737f5f2b3d439bcd2
Author: Efraim Flashner <[email-masked]>
Date:   Sun Feb 28 11:57:26 2016 +0200

    gnu: weechat: Move to irc.scm.
    
    * gnu/packages/weechat.scm (weechat): Move from here ...
    * gnu/packages/irc.scm (weechat): ... to here.
    * gnu/packages/weechat.scm: Delete file.
    * gnu-system.am (GNU_SYSTEM_MODULES): Remove weechat.scm.

M       gnu-system.am
M       gnu/packages/irc.scm
D       gnu/packages/weechat.scm
--8<---------------cut here---------------end--------------->8---

And here are some remaining references that I found after the change (in
a clean checkout):

--8<---------------cut here---------------start------------->8---
$ grep -r weechat.scm
po/packages/POTFILES.in:gnu/packages/weechat.scm
po/packages/pl.po:#: gnu/packages/weechat.scm:92
po/packages/pl.po:#: gnu/packages/weechat.scm:93
po/packages/da.po:#: gnu/packages/weechat.scm:92
po/packages/da.po:#: gnu/packages/weechat.scm:93
Binary file .git/objects/pack/pack-163c7788cc8522d4c9c8dd5f6b0e637c013d354e.pack matches
--8<---------------cut here---------------end--------------->8---

I would like to fix this, but I am not yet familiar with the
localization process. Judging by the regularity of the contents of the
files in po/packages and the git blame (which shows most everything
appearing in one commit), it looks like a tool was used to create them.

How can I resolve this issue? I imagine that I simply need to update the
files in the right way (probably using some kind of tool). Any guidance
you can provide will be helpful.

Thank you,
Chris